The Item Alternative object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

item_code string
alternative_item_code string
two_way boolean

Default: false

item_name string
alternative_item_name string
The Item Alternative object
{
  "id": "item-alternative_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "alternative_item_code": "alternative_item_code_example",
  "two_way": false,
  "item_name": "item_name_example",
  "alternative_item_name": "alternative_item_name_example"
}
GET /api/stock/item-alternative/{id}

Retrieve a item alternative

Retrieves the details of an existing item alternative. Supply the unique item alternative ID that was returned from a previous request.

Path parameters

id string required

The identifier of the item alternative to retrieve.

Returns

Returns the item alternative object if a valid identifier was provided.

GET /api/stock/item-alternative/{id}
curl https://api.overplane.dev/api/stock/item-alternative/item-alternative_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "item-alternative_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "alternative_item_code": "alternative_item_code_example",
  "two_way": false,
  "item_name": "item_name_example",
  "alternative_item_name": "alternative_item_name_example"
}
GET /api/stock/item-alternative

List all item alternatives

Returns a list of item alternatives. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of item alternative objects.

GET /api/stock/item-alternative
curl https://api.overplane.dev/api/stock/item-alternative \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "item-alternative_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "item_code": "item_code_example",
      "alternative_item_code": "alternative_item_code_example",
      "two_way": false,
      "item_name": "item_name_example",
      "alternative_item_name": "alternative_item_name_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/item-alternative

Create a item alternative

Creates a new item alternative object.

Body parameters

item_code string
alternative_item_code string
two_way boolean

Default: false

item_name string
alternative_item_name string

Returns

Returns the newly created item alternative object if the call succeeded.

POST /api/stock/item-alternative
curl https://api.overplane.dev/api/stock/item-alternative \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "item-alternative_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "alternative_item_code": "alternative_item_code_example",
  "two_way": false,
  "item_name": "item_name_example",
  "alternative_item_name": "alternative_item_name_example"
}
PATCH /api/stock/item-alternative/{id}

Update a item alternative

Updates the specified item alternative by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the item alternative to update.

Body parameters

item_code string
alternative_item_code string
two_way boolean

Default: false

item_name string
alternative_item_name string

Returns

Returns the updated item alternative object.

PATCH /api/stock/item-alternative/{id}
curl https://api.overplane.dev/api/stock/item-alternative/item-alternative_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"item_code":"item_code_example","alternative_item_code":"alternative_item_code_example"}'
Response
{
  "id": "item-alternative_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "alternative_item_code": "alternative_item_code_example",
  "two_way": false,
  "item_name": "item_name_example",
  "alternative_item_name": "alternative_item_name_example"
}
DELETE /api/stock/item-alternative/{id}

Delete a item alternative

Permanently deletes a item alternative. This cannot be undone.

Path parameters

id string required

The identifier of the item alternative to delete.

Returns

Returns a confirmation that the item alternative has been deleted.

DELETE /api/stock/item-alternative/{id}
curl https://api.overplane.dev/api/stock/item-alternative/item-alternative_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "item-alternative_abc123",
  "deleted": true
}